org.apache.tomcat.util.descriptor.web

## Interface NamingResources

- All Known Implementing Classes:
    NamingResourcesImpl

      public interface NamingResources

  Defines an interface for the object that is added to the representation of a JNDI resource in web.xml to enable it to also be the implementation of that JNDI resource. Only Catalina implements this interface but because the web.xml representation is shared this interface has to be visible to Catalina and Jasper.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnvironment(ContextEnvironment ce)`
    `void` | `addResource(ContextResource cr)`
    `void` | `addResourceLink(ContextResourceLink crl)`
    `Object` | `getContainer()`
    `void` | `removeEnvironment(String name)`
    `void` | `removeResource(String name)`
    `void` | `removeResourceLink(String name)`

- - ### Method Detail

    - #### addEnvironment

          void addEnvironment(ContextEnvironment ce)

    - #### removeEnvironment

          void removeEnvironment(String name)

    - #### addResource

          void addResource(ContextResource cr)

    - #### removeResource

          void removeResource(String name)

    - #### addResourceLink

          void addResourceLink(ContextResourceLink crl)

    - #### removeResourceLink

          void removeResourceLink(String name)

    - #### getContainer

          Object getContainer()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.